Skip to main content

Published Release Notes

Find release notes for the selected Pega Version and Capability

Browse resolved issues for Platform releases.

This documentation is for non-current versions of Pega Platform. For current release notes, go here.

The UpdateAdaptiveModels agent causes an exception after Pega 7.2 to 7.2.1 upgrade

Valid from Pega Version 7.2.1

After the Pega 7 Platform is upgraded from version 7.2 to 7.2.1, the log files might show an error that is caused by the UpdateAdaptiveModels agent. This agent is enabled by default and is responsible for updating scoring models in the Pega 7 Platform. If you use adaptive models in your solution, you can avoid this error by configuring the Adaptive Decision Manager service. If you do not use adaptive models, disable the UpdateAdaptiveModels agent.

For more information, see Configuring the Adaptive Decision Manager service and Pega-DecisionEngine agents.

Reconfiguration of the Adaptive Decision Manager service after upgrade to Pega 7.2.1

Valid from Pega Version 7.2.1

After you upgrade the Pega 7 Platform to version 7.2.1, you need to reconfigure the Adaptive Decision Manager service. Beginning with Pega 7.2.1, the Adaptive Decision Management (ADM) service is native to the Pega 7 Platform and is supported by the Decision data node infrastructure.

For more information, see Services landing page.

DCO Compatibility tool is deprecated

Valid from Pega Version 8.1

The DCO Compatibility tool has been deprecated. Use the Application Guardrails landing page to see the compliance score and any warnings for your application.

For more information, see Application Guardrails landing page.

@java and locatable pages no longer supported

Valid from Pega Version 8.1

@java and locatable pages are no longer supported. Existing rules that use @java and locatable pages will continue to work; however, changes to these rules cannot be saved unless @java and locatable pages are replaced by supported functionality. Use a rule utility function (RUF) instead of an @java page, and use a data page instead of a locatable page. In addition, Pega Platform™ displays a guardrail warning when you open a rule that uses an @java page or a locatable page.

We'd prefer it if you saw us at our best.

Pega.com is not optimized for Internet Explorer. For the optimal experience, please use:

Close Deprecation Notice
Contact us